libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
stp_param_string_t Struct Reference

String parameter. More...

`#include <string-list.h>`

## Data Fields
const char * | name
const char * | text

## Detailed Description

String parameter.

Representation of a choice list of strings. The choices themselves consist of a key and a human-readable name. The list object is opaque.

## Field Documentation

const char* stp_param_string_t::name

Option name (key, untranslated).

const char * stp_param_string_t::text

Human-readable (translated) text.

The documentation for this struct was generated from the following file:

- include/gutenprint/string-list.h